#ifndef INTERFACE
#define INTERFACE

#define DEFAULT_L 70

/* define argument container */
typedef struct args{
  char h;   /* help message? */
  char v;   /* version message? */
  char e;   /* error message? */
  char **inputFiles;
  int s;    /* seed for random number generator */
  int n;    /* number of iterations */
  int l;    /* line length */
  int numInputFiles;
} Args;

Args *getArgs(int argc, char *argv[]);
void printUsage(char *version);
void printSplash(char *version);

#endif
